Summary: A binary file reassembler.
Name: aub
Version: 2.0.5
Release: 10
Group: Applications/Communications
Copyright: Public Domain
Source: aub_perl5.tar.gz
Patch: aub-2.0.5-redhat-4.0.patch
Requires: perl >= 5
Prefix: %{_prefix}
BuildArchitectures: noarch 
BuildRoot: /var/tmp/%{name}-root

%description
Aub is a binary file reassembler.  Newsgroup users commonly post
binary files to Usenet.  Such binary files have to be encoded into
text because Usenet can't handle binary type data.  And, since binary
files are usually very large compared to text files, the binary files
are frequently broken up into smaller pieces.  Aub (assemble usenet
binaries) will track user-selected newsgroups for posted binaries and
will retrieve, organize and decode them automatically.  Users can also
supply a "hook" program, which tests each subject header and determines
whether that particular file should be downloaded or not.  Note that
you will need to have Perl installed in order for aub to run.

%prep
%setup -q -c
%patch -p1 -b .patch

%build

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -m 0755	aub ${RPM_BUILD_ROOT}%{_bindir}/aub
install -m 0644	aub.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/aub.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README Introducing_AUB BUG_FIXES
%{_bindir}/aub
%{_mandir}/*/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- man pages in correct place, %{_mandir}
- use macros wherever possible

* Tue May 2 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- rebuild for 6.2

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- rebuild for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.0.

* Tue Aug 11 1998 Michael Maher <mike@redhat.com>
- built package  
